Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-27081

Executors are dying after upgrading to 1.599

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved (View Workflow)
    • Priority: Critical
    • Resolution: Duplicate
    • Component/s: core
    • Labels:
      None
    • Environment:
      Linux Suse, Tomcat 7.0.27, JDK 1.6.0_29
    • Similar Issues:

      Description

      After upgrading Jenkins to 1.599 all executors start dying because of the error below. All my jobs are configured to discard old builds.

      java.lang.IllegalStateException: cannot create a build with number 1447 since that (or higher) is already in use among [1415, 1416, 1417, 1418, 1419, 1420, 1421, 1422, 1423, 5288]
      at jenkins.model.lazy.AbstractLazyLoadRunMap.proposeNewNumber(AbstractLazyLoadRunMap.java:361)
      at hudson.model.RunMap.put(RunMap.java:189)
      at jenkins.model.lazy.LazyBuildMixIn.newBuild(LazyBuildMixIn.java:178)
      at hudson.model.AbstractProject.newBuild(AbstractProject.java:1006)
      at hudson.model.AbstractProject.createExecutable(AbstractProject.java:1205)
      at hudson.model.AbstractProject.createExecutable(AbstractProject.java:144)
      at hudson.model.Executor.run(Executor.java:213)

      I could see that the method SortedIntList.isInRange does not check the list content. So I changed it to the code below and everything worked fine.

      public boolean isInRange(int idx)

      { return find(idx)>-1; }

      I will make a pull request with this solution.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned Unassigned
              Reporter:
              brunocarneiro Bruno Carneiro
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: